Calypso firmware update (work in progress)

Mike (mwester) mwester at
Mon Nov 17 05:41:01 CET 2008

Joerg Reisenweber wrote:
> According to Harald, and scrutinizing the schematics, there has been no change 
> in calypso domain hardware or interface definition.
> Means: we could flash the most recent GTA02-calypso-fw to the oldest GTA01, 
> and it should work. Differences are for version-query answer only.

:) Interesting timing, I was just setting up to upgrade my GTA01 with
GSM fw Moko 1 when this email arrived.  So instead of flashing one of
the older GSM firmwares with GTA01 in the firmware name, I went ahead
and flashed the Moko10-beta2 firmware.

Unfortunately, out of 5 SIM cards I've tried, I have none that exhibit
the symptoms of bug #666, so I can't comment on that, I'm afraid.

However, I can state that the Moko10-beta2 firmware as well as the
upgrade process seem to work just fine in the GTA01BV4.

Mike (mwester)

More information about the devel mailing list